%define module  Test-Exception
%define version 0.13
%define release 1mdk

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	%{module}-%{version}.tar.bz2
Url:            http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl
Requires: 	perl-base 
Requires: 	perl-Test-Builder-Tester
Requires: 	perl-Sub-Uplevel
BuildRequires:	perl-devel

%description 
This module provides a few convenience methods for testing
exception based code. It is built with Test::Builder and
plays happily with Test::Simple, Test::More and friends.

If you are not familiar with Test::Simple or Test::More
now would be the time to go take a look.

%prep
%setup -q -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install

rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%doc Changes README
%{perl_vendorlib}/Test/*
%{_mandir}/man3pm/*

%changelog
* Fri Jan 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.13-1mdk
- 0.13.

* Sat Jan 04 2003 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.12-1mdk
- 0.12

* Thu Aug 29 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-3mdk
- fix requires

* Sun Aug 25 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-2mdk
- fixed missing man pages

* Sat Aug 24 2002 Guillaume Rousse <g.rousse@linux-mandrake.com> 0.11-1mdk
- first mdk release
